# WOK
TKWOK
WOKStep

# WOKStep_WNTLibrary Class Reference

`#include <WOKStep_WNTLibrary.hxx>`

Inheritance diagram for WOKStep_WNTLibrary:

[legend]

## Public Member Functions

Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&anExecList)
| executes a tool
Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&anItem)
| adds a file in list if the file is input for step
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKStep_WNTLibrary (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aUnit, const Handle(TCollection_HAsciiString)&aCode, const Standard_Boolean checked, const Standard_Boolean hidden)
| provides initialization

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_WNTLibrary::WOKStep_WNTLibrary | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aUnit,
|  | const Handle(TCollection_HAsciiString)& | aCode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void WOKStep_WNTLibrary::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | anExecList | ) | `[virtual]`

| Implements WOKMake_Step.

Standard_EXPORT const WOKStep_WNTLibrary::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_WNTCollect. Reimplemented in WOKStep_ImportLibrary, and WOKStep_StaticLibrary.

Standard_EXPORT Standard_Boolean WOKStep_WNTLibrary::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | anItem | ) | `[virtual]`

| Implements WOKMake_Step.

The documentation for this class was generated from the following file:

- WOKStep_WNTLibrary.hxx